<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title></title>
    </head>
    <body bgcolor="CECFFF">


<?php
        include("connect.php");
        $kapcsolat=connect();

$tmp=$_POST['regnev'];
$parancs="SELECT * FROM felhasznalok where azonosito='$tmp'";
$eredmeny = mysql_query($parancs,$kapcsolat) or die ( "Nem sikerült a regisztráció: " .mysql_error() );
$sorok_szama = mysql_num_rows( $eredmeny );
$eszl=$_POST['eszlelesi_hely'];
$telep=$_POST['telepules'];
$ki=$_POST['ki'];
$bemutatkozas=$_POST['bemutatkozas'];
$jelszohossz=strlen($_POST['regpassw1']);
$regnevhossz=strlen($_POST['regnev']);

$datum_tomb = getdate();
$datum="$datum_tomb[year]-$datum_tomb[mon]-$datum_tomb[mday] $datum_tomb[hours]:$datum_tomb[minutes]:$datum_tomb[seconds]";


if( $_POST['regnev']!="" and $_POST['regpassw1']!="" and $_POST['kijelentes']==true and $_POST['regpassw1']==$_POST['regpassw2'] and $sorok_szama==0 and $telep!="" and $eszl!=0 and $regnevhossz>=4 and $jelszohossz>=4 and $regnevhossz<=18 and $jelszohossz<=18){
$nev=$_POST['regnev'];
$jelszo=$_POST['regpassw1'];
$parancs = "INSERT INTO felhasznalok VALUES ( '$nev', '$jelszo', '$telep', $eszl, '$ki', '$datum', '$datum', '$bemutatkozas')";
mysql_query( $parancs, $kapcsolat )
        or die ( "Nem sikerült a regisztráció: " .mysql_error() );
?> Sikeres regisztráció! <br><br>
<form action="tartalom.php" method="POST">
    <input type="submit" value="Tovább" />
</form>
<?php


}
else{
    if($_POST['regnev']=="") print "Nem adott meg felhasználónevet!<br>";
    if($_POST['regpassw1']=="" or $_POST['regpassw2']=="") print "Nem adott meg jelszót!<br>";
    if($_POST['kijelentes']!=true) print "A sikeres regisztárcióhoz el kell fogadnia a feltételeket!<br>";
    if($_POST['regpassw1']!=$_POST['regpassw2']) print "Nem egyeznek a megadott jelszavak! A két beírt jelszónak egyeznie kell!<br>";
    if($sorok_szama!=0) print "Már van ilyen felhasználónév. Válasszon másikat, és próbálkozzon azzal.<br>";
    if($telep=="") print "Nem adta meg a városa nevét!<br>";
    if($eszl==0) print "Nem választotta ki az időjárás megfigyelési helyét!<br>";
    if($regnevhossz<4 or $regnevhossz>18) print "A felhasználónévnek minimum 4, maximum 18 karakter hosszúnak kell lennie!<br>";
    if($jelszohossz<4 or $jelszohossz>18) print "A jelszónak minimum 4, maximum 18 karakter hosszúnak kell lennie!<br>";

?>
<br><br>

<form action="regist.php" method="POST">
            <input type="hidden" name="regnev" value=<?php print $_POST['regnev']; ?> > <br><br>
            <input type="hidden" name="regpassw1" value=<?php print $_POST['regpassw1']; ?> > <br>
            <input type="hidden" name="regpassw2" value=<?php print $_POST['regpassw2']; ?> ><br><br>
            <input type="hidden" name="telepules" value=<?php print $_POST['telepules']; ?> > <br>
            <input type="hidden" name="eszlelesi_hely" value=<?php print $_POST['eszlelesi_hely']; ?> > <br>
            <input type="hidden" name="bemutatkozas" value="<?/*php print $_POST['bemutatkozas'];*/ ?>" />
    <input type="submit" value="Vissza" />
</form>


<?php }
mysql_close( $kapcsolat );
?>

    </body>
</html>
